Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IImageSequenceMap

    java.lang.Object
      igeo.IMap
          igeo.IDoubleMap
              igeo.IImageMap
                  igeo.IImageSequenceMap

    public class IImageSequenceMap

extends IImageMap

A subclass of IMap defined by a bitmap image.

Author:
  Satoru Sugihara

Field Summary
`int[][][]` | `colorMaps`
`(package private) int` | `imageIndex`
`java.awt.Image[]` | `images`

Fields inherited from class igeo.IImageMap
`colorMap, image`

Fields inherited from class igeo.IDoubleMap
`height, interpolation, map, width`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IImageSequenceMap(java.awt.Image[] img)`
`IImageSequenceMap(java.lang.String[] imgFile)`
`IImageSequenceMap(java.lang.String[] imgFile, java.awt.Component mediaComponent)`

Method Summary
`java.awt.Color` | `clr(double u, double v)`
`java.awt.Color` | `getColor(double u, double v)`
`void` | `initMap(java.awt.Image[] mapImage)`
`void` | `initMap(java.lang.String[] imageFile)`
`void` | `initMap(java.lang.String[] imageFile, java.awt.Component comp)`
`IImageSequenceMap` | `next()`

Methods inherited from class igeo.IImageMap
`getColor, getColorValue, initDensityMapU, initDensityMapV, initMap, initMap, initMap`

Methods inherited from class igeo.IDoubleMap
`add, disableInterpolation, enableInterpolation, flipU, flipV, get, getHeight, getWidth, height, initMap, scale, set, setInterpolation, width`

Methods inherited from class igeo.IMap
`createImage, createImage, get, initDensityMapU, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### images

    public java.awt.Image[] images

### colorMaps

    public int[][][] colorMaps

### imageIndex

    int imageIndex

Constructor Detail

### IImageSequenceMap

    public IImageSequenceMap(java.lang.String[] imgFile)

### IImageSequenceMap

    public IImageSequenceMap(java.awt.Image[] img)

### IImageSequenceMap

    public IImageSequenceMap(java.lang.String[] imgFile,
                             java.awt.Component mediaComponent)

Method Detail

### initMap

    public void initMap(java.lang.String[] imageFile)

### initMap

    public void initMap(java.lang.String[] imageFile,
                        java.awt.Component comp)

### initMap

    public void initMap(java.awt.Image[] mapImage)

### next

    public IImageSequenceMap next()

### getColor

    public java.awt.Color getColor(double u,
                                   double v)

  Overrides:
    `getColor` in class `IImageMap`

### clr

    public java.awt.Color clr(double u,
                              double v)

  Overrides:
    `clr` in class `IImageMap`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD